> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/business-guides/sales-and-budget-data/sales-data/confirm-unconfirm-sales-data.md).

# Confirm/unconfirm sales data

When data has been sent, you can confirm the day in the weekly balance.&#x20;

Use these options to confirm/unconfirm a day:

* [Confirm sales data](/api-v1-reference/weekly-balance/confirm-daily-numbers.md)
* [Unconfirm sales data](/api-v1-reference/weekly-balance/unconfirm-daily-numbers.md)

{% hint style="info" %}
You should only use the full clientToken (c-value + d-value), ex. c123d12345, as clientToken in the URL, to be sure that you send data to the correct department (d-value). If you only use c-value, it will default to the department where your API user is created.

You can get the clientToken from the [Departments ](/api-v1-reference/departments/list-departments.md)endpoint. The field is called `ctx_token`.
{% endhint %}

You can confirm a day regardless of whether the week is approved automatically.

Week approval only acts as a gate to prevent using the confirm endpoint for non-admin users. If the API user is an administrator, it can confirm a day even if the week is approved automatically. When all dates in the week has been approved, the system will automatically appprove the week.

### Cash register identification

A department/shop can have one or multiple cash registers, each identified by a sequential number (1, 2, 3, etc.).

When confirming or unconfirming sales data, you must specify which cash register the data belongs to using the `register_number` path parameter.

&#x20;If the department/shop has only one cash register, use:

`register_number = 1`

&#x20;If the department/shop has multiple cash registers, use the corresponding number:

`register_number = 2` → sales from the second cash register

`register_number = 3` → sales from the third cash register

and so on.

{% hint style="warning" %}
**Notice:**

You will not be able to unconfirm the day if the date has been confirmed by an admin in the UI.\
Regular-confirmed days can be unconfirmed, but admin-confirmed days can not be unconfirmed.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/business-guides/sales-and-budget-data/sales-data/confirm-unconfirm-sales-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
